Page MenuHomeFreeBSD

virtio_pci_legacy: Allow memory space for configuration
ClosedPublic

Authored by khng on Feb 20 2021, 6:11 PM.

Details

Summary

For guests running under some kind of VMMs, configuration structure is
available in memory space but not I/O space.

Reported by: Yuan Rui <number201724@me.com>
MFC after: 2 weeks

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

khng requested review of this revision.Feb 20 2021, 6:11 PM

D26915 is marked as superseded by this one, but that one was for virtio_pci.c, and this one is for virtio_pci_legacy.c...?

The old virtio_pci.c code handling legacy Virtio is ported over to
virtio_pci_legacy.c in FreeBSD 13 and -CURRENT

Should we still keep the old differential open?

In D28818#645488, @khng300_gmail.com wrote:

The old virtio_pci.c code handling legacy Virtio is ported over to
virtio_pci_legacy.c in FreeBSD 13 and -CURRENT

Ah, that makes sense then.

Should we still keep the old differential open?

No, marking it ABANDONED seems correct.

This revision is now accepted and ready to land.Feb 21 2021, 8:17 PM
khng retitled this revision from virtio_pci: Allow memory space for configuration to virtio_pci_legacy: Allow memory space for configuration.Feb 23 2021, 7:37 AM

Rebased on top of the most recent D28817.

This revision now requires review to proceed.Feb 23 2021, 7:41 AM
This revision is now accepted and ready to land.Feb 25 2021, 8:01 PM

After testing, this patch runs normally on alibabacloud

Approved by: philip (mentor)